# __gnu_cxx::_Project1st< _Arg1, _Arg2 > Struct Template Reference

Inheritance diagram for __gnu_cxx::_Project1st< _Arg1, _Arg2 >:

List of all members.

## Detailed Description

### template<class _Arg1, class _Arg2>
struct __gnu_cxx::_Project1st< _Arg1, _Arg2 >

Definition at line 211 of file ext/functional.

## Public Types

- typedef _Arg1 first_argument_type
- typedef _Result result_type
- typedef _Arg2 second_argument_type

## Public Member Functions

- _Arg1 operator() (const _Arg1 &__x, const _Arg2 &) const

## Member Typedef Documentation

template<class _Arg1, class _Arg2, class _Result>

typedef _Arg1 std::binary_function< _Arg1, _Arg2, _Result >::first_argument_type`[inherited]`

the type of the first argument

Definition at line 116 of file stl_function.h.

template<class _Arg1, class _Arg2, class _Result>

typedef _Result std::binary_function< _Arg1, _Arg2, _Result >::result_type`[inherited]`

type of the return type

Reimplemented in std::tr1::_Reference_wrapper_base_impl< true, true, _Tp >.

Definition at line 120 of file stl_function.h.

template<class _Arg1, class _Arg2, class _Result>

typedef _Arg2 std::binary_function< _Arg1, _Arg2, _Result >::second_argument_type`[inherited]`

(no surprises here) the type of the second argument

Definition at line 119 of file stl_function.h.

The documentation for this struct was generated from the following file:

- ext/functional